# Package com.taosdata.jdbc.ws

Class Summary
AbstractWSResultSet
AbsWSPreparedStatement
BlockResultSet
CustomWebSocketClientHandshaker
CustomWebSocketFrameEncoder
FetchBlockData
FutureResponse
InFlightRequest: Unfinished execution
Transport: send message
TSWSPreparedStatement
WebSocketClientHandler
WebSocketDriver
WebSocketHandshakeHandler
WSClient
WSConnection
WSDatabaseMetaData
WSEWPreparedStatement
WSParameterMetaData
WSRetryableStmt
WSRowPreparedStatement
WSStatement

Exception Summary
WebsocketNotConnectedException: exception which indicates the websocket is not yet connected (ReadyState.OPEN)